<template>
  <div class="app-container">
    <van-nav-bar
      title="供求详情"
      left-arrow
      fixed
      placeholder
      @click-left="onClickLeft"
    />
    <van-row>
      <van-col>项目名称：{{supplyDetails.projectName}}</van-col>
    </van-row>
    <van-row>
      <van-col>项目地址：{{supplyDetails.location}}</van-col>
    </van-row>
    <van-row>
      <van-col>姓名：{{supplyDetails.realname}}</van-col>
    </van-row>
    <van-row>
      <van-col>联系电话：{{supplyDetails.phone}}</van-col>
    </van-row>
    <van-row>
      <van-col>项目详情：{{supplyDetails.projectContent}}</van-col>
    </van-row>
    <van-row>
      <van-col><img :src="'/api'+supplyDetails.fileUrl" alt="" width="100%"></van-col>
    </van-row>
  </div>
</template>

<script>
import { supplyDetail } from "@/api/supply/index";
export default {
  name: "noticeDetail",
  data() {
    return {
      supplyDetails:''
    };
  },
  created() {
    this.getDetail();

  },
  methods: {
    //成交公告集合
    getDetail(){
      console.log(this.$route.query.id)
      supplyDetail(this.$route.query.id).then(response => {
        console.log(response)
        this.supplyDetails = response.data
      });
    },

  },
};
</script>

<style scoped lang="scss">
.app-container {
  padding: 0.5rem 5%;
}
.title{
  font-size: 0.5rem;
  margin-bottom: 0.5rem;
}
.van-row{
  margin-bottom: 0.4rem;
}
.van-col{
  font-size: 0.4rem;
  color: #666666;
}
</style>
